package ink.wgink.service.role.service;

import ink.wgink.pojo.dtos.role.RoleDataRightDTO;
import ink.wgink.pojo.dtos.role.RoleDataRightInfoDTO;
import ink.wgink.service.role.pojo.vos.RoleDataRightVO;

import java.util.List;
import java.util.Map;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: IRoleDataRightService
 * @Description: 角色数据权限
 * @Author: WangGeng
 * @Date: 2021/2/21 18:32
 * @Version: 1.0
 **/
public interface IRoleDataRightService {

    /**
     * 更新
     *
     * @param roleId
     * @param roleDataRightVO
     */
    void update(String roleId, RoleDataRightVO roleDataRightVO);

    /**
     * 详情
     *
     * @param roleId
     * @return
     */
    RoleDataRightInfoDTO get(String roleId);

    /**
     * 数据权限列表
     *
     * @param params
     * @return
     */
    List<RoleDataRightDTO> list(Map<String, Object> params);

    /**
     * 数据权限列表
     *
     * @param roleId
     * @return
     */
    List<RoleDataRightDTO> list(String roleId);
}
