package ink.wgink.service.role.service.impl;

import ink.wgink.common.base.DefaultBaseService;
import ink.wgink.pojo.dtos.role.RoleMenuDTO;
import ink.wgink.service.role.dao.IRoleMenuDao;
import ink.wgink.service.role.pojo.vos.RoleMenuVO;
import ink.wgink.service.role.service.IRoleMenuService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: RoleMenuServiceImpl
 * @Description: 角色菜单
 * @Author: wanggeng
 * @Date: 2021/2/2 12:37 下午
 * @Version: 1.0
 */
@Service
public class RoleMenuServiceImpl extends DefaultBaseService implements IRoleMenuService {

    @Autowired
    private IRoleMenuDao roleMenuDao;

    @Override
    public void update(String roleId, RoleMenuVO roleMenuVO) {
        Map<String, Object> params = getHashMap(4);
        params.put("roleId", roleId);
        roleMenuDao.delete(params);
        for (String menuId : roleMenuVO.getMenuIds()) {
            params.put("menuId", menuId);
            roleMenuDao.save(params);
        }
    }

    @Override
    public List<RoleMenuDTO> list(String roleId) {
        Map<String, Object> params = getHashMap(2);
        params.put("roleId", roleId);
        return roleMenuDao.list(params);
    }
}
